Index: mythweather_nb.ts
===================================================================
--- mythweather_nb.ts	(revision 0)
+++ mythweather_nb.ts	(revision 0)
@@ -0,0 +1,879 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="nb_NO">
+<context>
+    <name>GlobalSetup</name>
+    <message>
+        <source>Finish</source>
+        <translation>Ferdig</translation>
+    </message>
+</context>
+<context>
+    <name>LocationDialog</name>
+    <message>
+        <source>Search</source>
+        <translation>Søk</translation>
+    </message>
+    <message>
+        <source>Searching ...</source>
+        <translation>Søker ...</translation>
+    </message>
+    <message>
+        <source>Searching ... Results: %1</source>
+        <translation>Søker ... Resultater: %1</translation>
+    </message>
+    <message>
+        <source>Search Complete. Results: %1</source>
+        <translation>Søk ferdig. Resultater: %1</translation>
+    </message>
+    <message>
+        <source>Source: %1</source>
+        <translation>Kilde: %1</translation>
+    </message>
+</context>
+<context>
+    <name>MythControls</name>
+    <message>
+        <source>Weather forecasts</source>
+        <translation>Værvarsel</translation>
+    </message>
+    <message>
+        <source>Pause current page</source>
+        <translation>Paus gjeldende side</translation>
+    </message>
+    <message>
+        <source>Search List</source>
+        <translation>Søk i liste</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <source>Current Conditions</source>
+        <translation>Været nå</translation>
+    </message>
+    <message>
+        <source>Three Day Forecast</source>
+        <translation>Tredagers værvarsel</translation>
+    </message>
+    <message>
+        <source>18 Hour Forecast</source>
+        <translation>18 timers værvarsel</translation>
+    </message>
+    <message>
+        <source>Severe Weather Alerts</source>
+        <translation>Spesialvarsler</translation>
+    </message>
+    <message>
+        <source>Six Day Forecast</source>
+        <translation>Seksdagers værvarsel</translation>
+    </message>
+    <message>
+        <source>Static Map</source>
+        <translation>Statisk kart</translation>
+    </message>
+    <message>
+        <source>Animated Map</source>
+        <translation>Animert kart</translation>
+    </message>
+</context>
+<context>
+    <name>ScreenSetup</name>
+    <message>
+        <source>Active Screens</source>
+        <translation>Aktive skjermbilder</translation>
+    </message>
+    <message>
+        <source>Inactive Screens</source>
+        <translation>Inaktive skjermbilder</translation>
+    </message>
+    <message>
+        <source>Finish</source>
+        <translation>Ferdig</translation>
+    </message>
+    <message>
+        <source>Add desired screen to the Active Screens list by pressing SELECT.</source>
+        <translation>Legg til ønsket skjermbilde til listen over aktive skjerbilder ved å trykke VELG.</translation>
+    </message>
+    <message>
+        <source>Sources</source>
+        <translation>Kilder</translation>
+    </message>
+    <message>
+        <source>Units: </source>
+        <translation>Enheter:</translation>
+    </message>
+    <message>
+        <source>English Units</source>
+        <translation>Engelske enheter</translation>
+    </message>
+    <message>
+        <source>SI Units</source>
+        <translation>SI enheter</translation>
+    </message>
+    <message>
+        <source>Location: </source>
+        <translation>Plassering:</translation>
+    </message>
+    <message>
+        <source>Not Defined</source>
+        <translation>Ikke definert</translation>
+    </message>
+    <message>
+        <source>Source: </source>
+        <translation>Kilde:</translation>
+    </message>
+    <message>
+        <source>Press SELECT to </source>
+        <translation>Trykk VELG for å</translation>
+    </message>
+    <message>
+        <source>change location; </source>
+        <translation>endre plassering;</translation>
+    </message>
+    <message>
+        <source>change units; </source>
+        <translation>endre enheter;</translation>
+    </message>
+    <message>
+        <source>move screen up or down; or remove screen.</source>
+        <translation>flytte skjermbilde opp eller ned; eller fjerne skjermbilde.</translation>
+    </message>
+    <message>
+        <source>Manipulate Screen</source>
+        <translation>Endre skjermbilde</translation>
+    </message>
+    <message>
+        <source>Move Up</source>
+        <translation>Flytt opp</translation>
+    </message>
+    <message>
+        <source>Move Down</source>
+        <translation>Flytt ned</translation>
+    </message>
+    <message>
+        <source>Remove</source>
+        <translation>Fjern</translation>
+    </message>
+    <message>
+        <source>Change Location</source>
+        <translation>Endre plassering</translation>
+    </message>
+    <message>
+        <source>Change Units</source>
+        <translation>Endre enheter</translation>
+    </message>
+    <message>
+        <source>Cancel</source>
+        <translation>Avbryt</translation>
+    </message>
+</context>
+<context>
+    <name>SourceManager</name>
+    <message>
+        <source>Searching for scripts</source>
+        <translation>Søker etter skript</translation>
+    </message>
+    <message>
+        <source>Script %1 is still running when trying to do update, Make sure it isn&apos;t hanging, make sure timeout values are sane... Not running this time around</source>
+        <translation>Skript %1 kjører fremdeles under forsøk på oppdatering, sjekk at skriptet ikke henger, og at verdiene for tidsavbrudd er fornuftige... Skriptet blir ikke kjørt denne gangen</translation>
+    </message>
+</context>
+<context>
+    <name>SourceSetup</name>
+    <message>
+        <source>Finish</source>
+        <translation>Ferdig</translation>
+    </message>
+    <message>
+        <source>Author: </source>
+        <translation>Forfatter: </translation>
+    </message>
+    <message>
+        <source>Email: </source>
+        <translation>E-post: </translation>
+    </message>
+    <message>
+        <source>Version: </source>
+        <translation>Versjon: </translation>
+    </message>
+</context>
+<context>
+    <name>String::DayOfWeek</name>
+    <message>
+        <source>MON</source>
+        <translation>Man</translation>
+    </message>
+    <message>
+        <source>TUE</source>
+        <translation>Tirs</translation>
+    </message>
+    <message>
+        <source>WED</source>
+        <translation>Ons</translation>
+    </message>
+    <message>
+        <source>THU</source>
+        <translation>Tors</translation>
+    </message>
+    <message>
+        <source>FRI</source>
+        <translation>Fre</translation>
+    </message>
+    <message>
+        <source>SAT</source>
+        <translation>Lør</translation>
+    </message>
+    <message>
+        <source>SUN</source>
+        <translation>Søn</translation>
+    </message>
+</context>
+<context>
+    <name>String::WeatherType</name>
+    <message>
+        <source>Cloudy</source>
+        <translation>Skyet</translation>
+    </message>
+    <message>
+        <source>Mostly Cloudy</source>
+        <translation>Overskyet</translation>
+    </message>
+    <message>
+        <source>Partly Cloudy</source>
+        <translation>Delvis skyet</translation>
+    </message>
+    <message>
+        <source>Light Rain</source>
+        <translation>Lett regn</translation>
+    </message>
+    <message>
+        <source>Showers</source>
+        <translation>Regnbyger</translation>
+    </message>
+    <message>
+        <source>Rain</source>
+        <translation>Regn</translation>
+    </message>
+    <message>
+        <source>AM Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Fog</source>
+        <translation>Tåke</translation>
+    </message>
+    <message>
+        <source>Few Showers</source>
+        <translation>Få regnbyger</translation>
+    </message>
+    <message>
+        <source>Mostly Sunny</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Sunny</source>
+        <translation>Sol</translation>
+    </message>
+    <message>
+        <source>Scattered Flurries</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Clouds/PM Sun</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Isolated T-Storms</source>
+        <translation>Isolerte tordenvær</translation>
+    </message>
+    <message>
+        <source>Scattered Thunderstorms</source>
+        <translation>Spredt tordenvær</translation>
+    </message>
+    <message>
+        <source>PM Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain/Snow Showers</source>
+        <translation>Regn/snøbyger</translation>
+    </message>
+    <message>
+        <source>Few Snow Showers</source>
+        <translation>Få snøbyger</translation>
+    </message>
+    <message>
+        <source>Cloudy/Wind</source>
+        <translation>Skyet/vind</translation>
+    </message>
+    <message>
+        <source>Flurries/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Mostly Cloudy/Windy</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain/Thunder</source>
+        <translation>Regn/torden</translation>
+    </message>
+    <message>
+        <source>Partly Cloudy/Windy</source>
+        <translation>Delvis skyet/vind</translation>
+    </message>
+    <message>
+        <source>AM Rain/Snow Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Light Rain/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Showers/Wind</source>
+        <translation>Regnbyger/vind</translation>
+    </message>
+    <message>
+        <source>Mostly Sunny/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Flurries</source>
+        <translation>Sludd</translation>
+    </message>
+    <message>
+        <source>Rain/Wind</source>
+        <translation>Regn/Vind</translation>
+    </message>
+    <message>
+        <source>Sct Flurries/Wind</source>
+        <translation>Spredt sludd/Vind</translation>
+    </message>
+    <message>
+        <source>Sct Strong Storms</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM T-Storms</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Thunderstorms</source>
+        <translation>Tordenvær</translation>
+    </message>
+    <message>
+        <source>Sunny/Windy</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Thunderstorms</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Iso T-Storms/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain/Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Sct T-Storms/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Sct Snow Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow to Ice/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow to Rain</source>
+        <translation>Snø til regn</translation>
+    </message>
+    <message>
+        <source>AM Light Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Light Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain to Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Rain/Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Few Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Rain/Snow Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Rain/Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain/Snow Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain/Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Light Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Few Snow Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Light Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Wintry Mix</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Wintry Mix</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Hvy Rain/Freezing Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Light Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain/Freezing Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>T-Storms/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Sprinkles</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Snow Showers</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Clouds/PM Sun/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Rain/Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Rain to Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow to Wintry Mix</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Snow Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow and Ice to Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Heavy Rain</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Rain/Ice</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Snow Showers/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Light Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Light Rain/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Light Wintry Mix</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Light Snow/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Heavy Rain/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Snow Shower</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow to Rain/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Light Rain/Ice</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow to Ice</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Wintry Mix/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Light Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Drizzle</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Strong Storms/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>PM Drizzle</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Drizzle</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Light Rain/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>AM Rain/Wind</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Wintry Mix to Snow</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Snow Showers/Windy</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Light Rain Shower</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Light Rain with Thunder</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Light Drizzle</source>
+        <translation>Lett duskregn</translation>
+    </message>
+    <message>
+        <source>Mist</source>
+        <translation>Skodde</translation>
+    </message>
+    <message>
+        <source>Smoke</source>
+        <translation>Røyk</translation>
+    </message>
+    <message>
+        <source>Haze</source>
+        <translation>Dis</translation>
+    </message>
+    <message>
+        <source>Light Snow Shower</source>
+        <translation>Lette snøbyger</translation>
+    </message>
+    <message>
+        <source>Light Snow Shower/ Windy</source>
+        <translation>Lette snøbyger/vind</translation>
+    </message>
+    <message>
+        <source>Clear</source>
+        <translation>Klart</translation>
+    </message>
+    <message>
+        <source>A Few Clouds</source>
+        <translation>Noe skyet</translation>
+    </message>
+    <message>
+        <source>Fair</source>
+        <translation>Lettskyet</translation>
+    </message>
+</context>
+<context>
+    <name>String::WindDirection</name>
+    <message>
+        <source>N</source>
+        <translation></translation>
+    </message>
+    <message>
+        <source>NNE</source>
+        <translation>NNØ</translation>
+    </message>
+    <message>
+        <source>NE</source>
+        <translation>NØ</translation>
+    </message>
+    <message>
+        <source>ENE</source>
+        <translation>ØNØ</translation>
+    </message>
+    <message>
+        <source>E</source>
+        <translation>Ø</translation>
+    </message>
+    <message>
+        <source>ESE</source>
+        <translation>ØSØ</translation>
+    </message>
+    <message>
+        <source>SE</source>
+        <translation>SØ</translation>
+    </message>
+    <message>
+        <source>SSE</source>
+        <translation>SSØ</translation>
+    </message>
+    <message>
+        <source>S</source>
+        <translation>S</translation>
+    </message>
+    <message>
+        <source>SSW</source>
+        <translation>SSV</translation>
+    </message>
+    <message>
+        <source>SW</source>
+        <translation>SV</translation>
+    </message>
+    <message>
+        <source>WSW</source>
+        <translation>VSV</translation>
+    </message>
+    <message>
+        <source>W</source>
+        <translation>V</translation>
+    </message>
+    <message>
+        <source>WNW</source>
+        <translation>VNV</translation>
+    </message>
+    <message>
+        <source>NW</source>
+        <translation>NV</translation>
+    </message>
+    <message>
+        <source>NNW</source>
+        <translation>NNV</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <source>Humidity</source>
+        <translation>Luftfuktighet</translation>
+    </message>
+    <message>
+        <source>Pressure</source>
+        <translation>Trykk</translation>
+    </message>
+    <message>
+        <source>Wind(Gust)</source>
+        <translation>Vind(i kastene)</translation>
+    </message>
+    <message>
+        <source>Wind Direction</source>
+        <translation>Vindretning</translation>
+    </message>
+    <message>
+        <source>Visibility</source>
+        <translation>Sikt</translation>
+    </message>
+    <message>
+        <source>Feels Like</source>
+        <translation>Føles som</translation>
+    </message>
+    <message>
+        <source>Low</source>
+        <translation>Lav</translation>
+    </message>
+    <message>
+        <source>High</source>
+        <translation>Høy</translation>
+    </message>
+    <message>
+        <source>Weather Alerts</source>
+        <translation>Spesialvarsler</translation>
+    </message>
+    <message>
+        <source>Temp</source>
+        <translation>Temp</translation>
+    </message>
+    <message>
+        <source>Precip</source>
+        <translation>Nedbør</translation>
+    </message>
+    <message>
+        <source>Global Settings</source>
+        <translation>Globale innstillinger</translation>
+    </message>
+    <message>
+        <source>Seconds to display each page:</source>
+        <translation>Sekunder hver side skal vises:</translation>
+    </message>
+    <message>
+        <source>Retrieve data in the background:</source>
+        <translation>Last ned data i bakgrunnen:</translation>
+    </message>
+    <message>
+        <source>Screen Setup</source>
+        <translation>Skjermbildeoppsett</translation>
+    </message>
+    <message>
+        <source>Source Setup</source>
+        <translation>Kildeoppsett</translation>
+    </message>
+    <message>
+        <source>Data Retrieval Interval (minutes):</source>
+        <translation>Datafangstintervall (minutter):</translation>
+    </message>
+    <message>
+        <source>Source Update Timeout (seconds):</source>
+        <translation>Tidsavbrudd for kildeoppdatering (sekunder):</translation>
+    </message>
+    <message>
+        <source>Location Search</source>
+        <translation>Kildesøk</translation>
+    </message>
+    <message>
+        <source>Enter your current location, nearest large town or city. In some countries postal codes are also supported.</source>
+        <translation>Skriv inn gjeldende plassering, nærmeste sted eller by.</translation>
+    </message>
+    <message>
+        <source>Enter Location:</source>
+        <translation>Skriv inn plassering:</translation>
+    </message>
+    <message>
+        <source>General weather plugin options</source>
+        <translation>Generelle innstillinger for værtillegg</translation>
+    </message>
+    <message>
+        <source>Screen Settings</source>
+        <translation>Skjermbildeinnstillinger</translation>
+    </message>
+    <message>
+        <source>Choose which weather forecasts to display</source>
+        <translation>Velg hvilke værvarsler som skal vises</translation>
+    </message>
+    <message>
+        <source>Source Settings</source>
+        <translation>Kildeinnstillinger</translation>
+    </message>
+    <message>
+        <source>Configure the behavior of weather scripts</source>
+        <translation>Konfigurer oppsett for værskript</translation>
+    </message>
+</context>
+<context>
+    <name>Weather</name>
+    <message>
+        <source>Paused</source>
+        <translation>Pauset</translation>
+    </message>
+</context>
+<context>
+    <name>WeatherScreen</name>
+    <message>
+        <source>Sunday</source>
+        <translation>Søndag</translation>
+    </message>
+    <message>
+        <source>Monday</source>
+        <translation>Mandag</translation>
+    </message>
+    <message>
+        <source>Tuesday</source>
+        <translation>Tirsdag</translation>
+    </message>
+    <message>
+        <source>Wednesday</source>
+        <translation>Onsdag</translation>
+    </message>
+    <message>
+        <source>Thursday</source>
+        <translation>Torsdag</translation>
+    </message>
+    <message>
+        <source>Friday</source>
+        <translation>Fredag</translation>
+    </message>
+    <message>
+        <source>Saturday</source>
+        <translation>Lørdag</translation>
+    </message>
+</context>
+</TS>