Index: mythplugins/mythbrowser/i18n/mythbrowser_en_gb.ts
===================================================================
--- mythplugins/mythbrowser/i18n/mythbrowser_en_gb.ts	(revision 0)
+++ mythplugins/mythbrowser/i18n/mythbrowser_en_gb.ts	(revision 0)
@@ -0,0 +1,324 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>BookmarkEditor</name>
+    <message>
+        <location filename="../mythbrowser/bookmarkeditor.cpp" line="56"/>
+        <source>Edit Bookmark Details</source>
+        <translation>Edit Bookmark Details</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkeditor.cpp" line="58"/>
+        <source>Enter Bookmark Details</source>
+        <translation>Enter Bookmark Details</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkeditor.cpp" line="138"/>
+        <source>Select a category</source>
+        <translation>Select a category</translation>
+    </message>
+</context>
+<context>
+    <name>BookmarkManager</name>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="158"/>
+        <source>No bookmarks defined.
+
+Use the &apos;Add Bookmark&apos; menu option to add new bookmarks</source>
+        <translation>No bookmarks defined.
+
+Use the &apos;Add Bookmark&apos; menu option to add new bookmarks</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="267"/>
+        <source>Actions</source>
+        <translation>Actions</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="282"/>
+        <source>Add Bookmark</source>
+        <translation>Add Bookmark</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="286"/>
+        <source>Edit Bookmark</source>
+        <translation>Edit Bookmark</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="287"/>
+        <source>Delete Bookmark</source>
+        <translation>Delete Bookmark</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="288"/>
+        <source>Show Bookmark</source>
+        <translation>Show Bookmark</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="293"/>
+        <source>Delete Marked</source>
+        <translation>Delete Marked</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="294"/>
+        <source>Show Marked</source>
+        <translation>Show Marked</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="295"/>
+        <source>Clear Marked</source>
+        <translation>Clear Marked</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="298"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="475"/>
+        <source>Are you sure you want to delete the selected bookmark</source>
+        <translation>Are you sure you want to delete the selected bookmark</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="519"/>
+        <source>Are you sure you want to delete the marked bookmarks</source>
+        <translation>Are you sure you want to delete the marked bookmarks</translation>
+    </message>
+</context>
+<context>
+    <name>BrowserConfig</name>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="42"/>
+        <source>MythBrowser Settings</source>
+        <translation>MythBrowser Settings</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="115"/>
+        <source>This is the command that will be used to show the web browser. Use &apos;Internal&apos; to use the built in web browser&apos;. %ZOOM% and %URL% will be replaced with the zoom level and URL list.</source>
+        <translation>This is the command that will be used to show the web browser. Use &apos;Internal&apos; to use the built in web browser&apos;. %ZOOM% and %URL% will be replaced with the zoom level and URL list.</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="119"/>
+        <source>This is the default text size that will be used. Valid values for the Internal browser are from 0.3 to 5.0 with 1.0 being normal size less than 1 is smaller and greater than 1 is larger than normal size.</source>
+        <translation>This is the default text size that will be used. Valid values for the Internal browser are from 0.3 to 5.0 with 1.0 being normal size less than 1 is smaller and greater than 1 is larger than normal size.</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="124"/>
+        <source>Exit without saving settings</source>
+        <translation>Exit without saving settings</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/bookmarkmanager.cpp" line="126"/>
+        <source>Save settings and Exit</source>
+        <translation>Save settings and Exit</translation>
+    </message>
+</context>
+<context>
+    <name>MythBrowser</name>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="103"/>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="348"/>
+        <source>Enter URL</source>
+        <translation>Enter URL</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="239"/>
+        <source>Loading...</source>
+        <translation>Loading...</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="335"/>
+        <source>Actions</source>
+        <translation>Actions</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="351"/>
+        <source>Back</source>
+        <translation>Back</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="354"/>
+        <source>Forward</source>
+        <translation>Forward</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="356"/>
+        <source>Zoom In</source>
+        <translation>Zoom In</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="357"/>
+        <source>Zoom Out</source>
+        <translation>Zoom Out</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="358"/>
+        <source>New Tab</source>
+        <translation>New Tab</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="361"/>
+        <source>Delete Tab</source>
+        <translation>Delete Tab</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="363"/>
+        <source>Add Bookmark</source>
+        <translation>Add Bookmark</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/mythbrowser.cpp" line="365"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+</context>
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythbrowser/main.cpp" line="47"/>
+        <source>Move to next browser tab</source>
+        <translation>Move to next browser tab</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/main.cpp" line="49"/>
+        <source>Move to previous browser tab</source>
+        <translation>Move to previous browser tab</translation>
+    </message>
+    <message>
+        <location filename="../mythbrowser/main.cpp" line="52"/>
+        <source>Internal Web Browser</source>
+        <translation>Internal Web Browser</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>Web Bookmarks</source>
+        <translation>Web Bookmarks</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>Browse your favorite web sites.</source>
+        <translation>Browse your favourite web sites.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>Browser:</source>
+        <translation>Browser:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>Text Size:</source>
+        <translation>Text Size:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="6"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="7"/>
+        <source>OK</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="8"/>
+        <source>Configure Web Browser</source>
+        <translation>Configure Web Browser</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="9"/>
+        <source>You can edit the name, URL, and category for the selected Web Site on this screen.
+
+When you have finished editing, select &quot;OK&quot; or &quot;Cancel&quot; to continue.</source>
+        <translation>ou can edit the name, URL, and category for the selected Web Site on this screen.
+
+When you have finished editing, select &quot;OK&quot; or &quot;Cancel&quot; to continue.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="10"/>
+        <source>Category:</source>
+        <translation>Category:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="11"/>
+        <source>Name:</source>
+        <translation>Name:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="12"/>
+        <source>URL:</source>
+        <translation>URL:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="13"/>
+        <source>Genre:</source>
+        <translation>Genre:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="14"/>
+        <source>Channel:</source>
+        <translation>Channel:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="15"/>
+        <source>Click to choose from existing categories...</source>
+        <translation>Click to choose from existing categories...</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="16"/>
+        <source>Browser Command:</source>
+        <translation>Browser Command:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="17"/>
+        <source>Ok</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="18"/>
+        <source>Find</source>
+        <translation>Find</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="19"/>
+        <source>Bookmark Manager</source>
+        <translation>Bookmark Manager</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="20"/>
+        <source>Category</source>
+        <translation>Category</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="21"/>
+        <source>[x]</source>
+        <translation>[x]</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="22"/>
+        <source>Name</source>
+        <translation>Name</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="23"/>
+        <source>URL</source>
+        <translation>URL</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="24"/>
+        <source>Find...</source>
+        <translation>Find...</translation>
+    </message>
+</context>
+<context>
+    <name>WebPage</name>
+    <message>
+        <location filename="../mythbrowser/webpage.cpp" line="129"/>
+        <source>Loading...</source>
+        <translation>Loading...</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythbrowser/i18n/i18n.pro
===================================================================
--- mythplugins/mythbrowser/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythbrowser/i18n/i18n.pro	(working copy)
@@ -10,7 +10,7 @@
 trans.files += mythbrowser_fi.qm mythbrowser_es.qm mythbrowser_pt_br.qm
 trans.files += mythbrowser_et.qm mythbrowser_ru.qm mythbrowser_da.qm
 trans.files += mythbrowser_cs.qm mythbrowser_sl.qm
-trans.files += mythborwser_hu.qm
+trans.files += mythbrowser_hu.qm mythbrowser_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythbrowser/i18n/translate.pro
===================================================================
--- mythplugins/mythbrowser/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythbrowser/i18n/translate.pro	(working copy)
@@ -7,4 +7,4 @@
 TRANSLATIONS += mythbrowser_fi.ts mythbrowser_es.ts mythbrowser_pt_br.ts
 TRANSLATIONS += mythbrowser_et.ts mythbrowser_ru.ts mythbrowser_da.ts
 TRANSLATIONS += mythbrowser_cs.ts mythbrowser_sl.ts
-TRANSLATIONS += mythbrowser_hu.ts
+TRANSLATIONS += mythbrowser_hu.ts mythbrowser_en_gb.ts