Index: mythplugins/mythgallery/i18n/mythgallery_en_gb.ts
===================================================================
--- mythplugins/mythgallery/i18n/mythgallery_en_gb.ts	(revision 0)
+++ mythplugins/mythgallery/i18n/mythgallery_en_gb.ts	(revision 0)
@@ -0,0 +1,563 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>GLSingleView</name>
+    <message>
+        <location filename="../mythgallery/glsingleview.cpp" line="239"/>
+        <source>Press SELECT to play again</source>
+        <translation>Press SELECT to play again</translation>
+    </message>
+</context>
+<context>
+    <name>IconView</name>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="131"/>
+        <source>MythGallery Directory &apos;%1&apos; does not exist or is unreadable.</source>
+        <translation>MythGallery Directory &apos;%1&apos; does not exist or is unreadable.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="187"/>
+        <source>No images found in this directory.</source>
+        <translation>No images found in this directory.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="377"/>
+        <source>%1 of %2</source>
+        <translation>%1 of %2</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="388"/>
+        <source>Gallery Home</source>
+        <translation>Gallery Home</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="534"/>
+        <source>Error</source>
+        <translation>Error</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="535"/>
+        <source>The selected device is no longer available</source>
+        <translation>The selected device is no longer available</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="845"/>
+        <source>Gallery Options</source>
+        <translation>Gallery Options</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="858"/>
+        <source>SlideShow</source>
+        <translation>SlideShow</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="859"/>
+        <source>Random</source>
+        <translation>Random</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="860"/>
+        <source>Meta Data Menu</source>
+        <translation>Meta Data Menu</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="861"/>
+        <source>Marking Menu</source>
+        <translation>Marking Menu</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="862"/>
+        <source>File Menu</source>
+        <translation>File Menu</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="863"/>
+        <source>Settings</source>
+        <translation>Settings</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="879"/>
+        <source>Metadata Options</source>
+        <translation>Metadata Options</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="888"/>
+        <source>Rotate CW</source>
+        <translation>Rotate CW</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="889"/>
+        <source>Rotate CCW</source>
+        <translation>Rotate CCW</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="894"/>
+        <source>Marking Options</source>
+        <translation>Marking Options</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="903"/>
+        <source>Select One</source>
+        <translation>Select One</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="904"/>
+        <source>Clear One Marked</source>
+        <translation>Clear One Marked</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="905"/>
+        <source>Select All</source>
+        <translation>Select All</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="906"/>
+        <source>Clear Marked</source>
+        <translation>Clear Marked</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="911"/>
+        <source>File Options</source>
+        <translation>File Options</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="920"/>
+        <source>Show Devices</source>
+        <translation>Show Devices</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="921"/>
+        <source>Eject</source>
+        <translation>Eject</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="922"/>
+        <source>Import</source>
+        <translation>Import</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="923"/>
+        <source>Copy here</source>
+        <translation>Copy here</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="924"/>
+        <source>Move here</source>
+        <translation>Move here</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="925"/>
+        <source>Delete</source>
+        <translation>Delete</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="926"/>
+        <source>Create Dir</source>
+        <translation>Create Dir</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="927"/>
+        <location filename="../mythgallery/iconview.cpp" line="1270"/>
+        <source>Rename</source>
+        <translation>Rename</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="977"/>
+        <source>Delete Current File or Folder</source>
+        <translation>Delete Current File or Folder</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="979"/>
+        <source>Deleting 1 folder, including any subfolders and files.</source>
+        <translation>Deleting 1 folder, including any subfolders and files.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="980"/>
+        <source>Deleting 1 image.</source>
+        <translation>Deleting 1 image.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1176"/>
+        <source>Deleting %1 images and folders, including any subfolders and files.</source>
+        <translation>Deleting %1 images and folders, including any subfolders and files.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1239"/>
+        <source>New Folder</source>
+        <translation>New Folder</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1241"/>
+        <source>Create New Folder</source>
+        <translation>Create New Folder</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1296"/>
+        <source>Failed to rename directory</source>
+        <translation>Failed to rename directory</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1298"/>
+        <source>Failed to rename file</source>
+        <translation>Failed to rename file</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1357"/>
+        <source>Moving marked images...</source>
+        <translation>Moving marked images...</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/iconview.cpp" line="1357"/>
+        <source>Copying marked images...</source>
+        <translation>Copying marked images...</translation>
+    </message>
+</context>
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="63"/>
+        <source>Image viewer / slideshow</source>
+        <translation>Image viewer / slideshow</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="66"/>
+        <source>Start/Stop Slideshow</source>
+        <translation>Start/Stop Slideshow</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="68"/>
+        <source>Go to the first image in thumbnail view</source>
+        <translation>Go to the first image in thumbnail view</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="70"/>
+        <source>Go to the last image in thumbnail view</source>
+        <translation>Go to the last image in thumbnail view</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="72"/>
+        <source>Start Slideshow in thumbnail view</source>
+        <translation>Start Slideshow in thumbnail view</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="74"/>
+        <source>Start Random Slideshow in thumbnail view</source>
+        <translation>Start Random Slideshow in thumbnail view</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="77"/>
+        <source>Rotate image right 90 degrees</source>
+        <translation>Rotate image right 90 degrees</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="79"/>
+        <source>Rotate image left 90 degrees</source>
+        <translation>Rotate image left 90 degrees</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="81"/>
+        <source>Zoom image out</source>
+        <translation>Zoom image out</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="83"/>
+        <source>Zoom image in</source>
+        <translation>Zoom image in</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="85"/>
+        <source>Scroll image up</source>
+        <translation>Scroll image up</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="87"/>
+        <source>Scroll image left</source>
+        <translation>Scroll image left</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="89"/>
+        <source>Scroll image right</source>
+        <translation>Scroll image right</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="91"/>
+        <source>Scroll image down</source>
+        <translation>Scroll image down</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="93"/>
+        <source>Recenter image</source>
+        <translation>Recenter image</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="95"/>
+        <source>Full-size (un-zoom) image</source>
+        <translation>Full-size (un-zoom) image</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="97"/>
+        <source>Go to the upper-left corner of the image</source>
+        <translation>Go to the upper-left corner of the image</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="99"/>
+        <source>Go to the lower-right corner of the image</source>
+        <translation>Go to the lower-right corner of the image</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="101"/>
+        <source>Mark image</source>
+        <translation>Mark image</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="103"/>
+        <source>Toggle scale to fullscreen/scale to fit</source>
+        <translation>Toggle scale to fullscreen/scale to fit</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="105"/>
+        <source>MythGallery Media Handler 1/2</source>
+        <translation>MythGallery Media Handler (1/2)</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="108"/>
+        <source>MythGallery Media Handler 2/2</source>
+        <translation>MythGallery Media Handler (2/2)</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="17"/>
+        <source>Directory that holds images</source>
+        <translation>Directory that holds images</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="23"/>
+        <source>This directory must exist and MythGallery needs to have read permission.</source>
+        <translation>This directory must exist and MythGallery needs to have read permission.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="31"/>
+        <source>Store thumbnails in image directory</source>
+        <translation>Store thumbnails in image directory</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="33"/>
+        <source>If set, thumbnails are stored in &apos;.thumbcache&apos; directories within the above directory. If cleared, they are stored in your home directory.</source>
+        <translation>If set, thumbnails are stored in &apos;.thumbcache&apos; directories within the above directory. If cleared, they are stored in your home directory.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="40"/>
+        <source>Sort order when browsing</source>
+        <translation>Sort order when browsing</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="45"/>
+        <source>This is the sort order for the displayed picture thumbnails.</source>
+        <translation>This is the sort order for the displayed picture thumbnails.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="53"/>
+        <source>Command run to display movie files</source>
+        <translation>Command run to display movie files</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="55"/>
+        <source>This command is executed whenever a movie file is selected</source>
+        <translation>This command is executed whenever a movie file is selected</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="63"/>
+        <source>Overlay caption</source>
+        <translation>Overlay caption</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="65"/>
+        <source>This is the number of seconds to show a caption on top of a full size picture.</source>
+        <translation>This is the number of seconds to show a caption on top of a full size picture.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="73"/>
+        <source>Paths to import images from</source>
+        <translation>Paths to import images from</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="75"/>
+        <source>This is a colon separated list of paths. If the path in the list is a directory, its contents will be copied. If it is an executable, it will be run.</source>
+        <translation>This is a colon separated list of paths. If the path in the list is a directory, its contents will be copied. If it is an executable, it will be run.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="86"/>
+        <source>Use OpenGL transitions</source>
+        <translation>Use OpenGL transitions</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="88"/>
+        <source>Check this to enable OpenGL based slideshow transitions</source>
+        <translation>Check this to enable OpenGL based slideshow transitions</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="96"/>
+        <source>Type of OpenGL transition</source>
+        <translation>Type of OpenGL transition</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="108"/>
+        <source>This is the type of OpenGL transition used between pictures in slideshow mode.</source>
+        <translation>This is the type of OpenGL transition used between pictures in slideshow mode.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="117"/>
+        <source>Duration of OpenGL Transition (milliseconds)</source>
+        <translation>Duration of OpenGL Transition (milliseconds)</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="127"/>
+        <source>Type of transition</source>
+        <translation>Type of transition</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="142"/>
+        <source>This is the type of transition used between pictures in slideshow mode.</source>
+        <translation>This is the type of transition used between pictures in slideshow mode.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="150"/>
+        <source>Type of background</source>
+        <translation>Type of background</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="155"/>
+        <source>This is the type of background for each picture in single view mode.</source>
+        <translation>This is the type of background for each picture in single view mode.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="163"/>
+        <source>Slideshow Delay</source>
+        <translation>Slideshow Delay</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="165"/>
+        <source>This is the number of seconds to display each picture.</source>
+        <translation>This is the number of seconds to display each picture.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="173"/>
+        <source>Recurse into directories</source>
+        <translation>Recurse into directories</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="174"/>
+        <source>Check this to let the slideshow recurse into sub-directories.</source>
+        <translation>Check this to let the slideshow recurse into sub-directories.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="185"/>
+        <source>MythGallery Settings (Slideshow)</source>
+        <translation>MythGallery Settings (Slideshow)</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/gallerysettings.cpp" line="215"/>
+        <source>MythGallery Settings (General)</source>
+        <translation>MythGallery Settings (General)</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/main.cpp" line="39"/>
+        <source>MythGallery cannot find its start directory.
+%1
+Check the directory exists, is readable and the setting is correct on MythGallery&apos;s settings page.</source>
+        <translation>MythGallery cannot find its start directory.
+%1
+Check the directory exists, is readable and the setting is correct on MythGallery&apos;s settings page.</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="127"/>
+        <source>Folder: </source>
+        <translation>Folder: </translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="128"/>
+        <source>Created: </source>
+        <translation>Created: </translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="129"/>
+        <source>Modified: </source>
+        <translation>Modified: </translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="131"/>
+        <source>Bytes</source>
+        <translation>Bytes</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="132"/>
+        <source>Width</source>
+        <translation>Width</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="133"/>
+        <location filename="../mythgallery/thumbview.cpp" line="135"/>
+        <source>pixels</source>
+        <translation>pixels</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="134"/>
+        <source>Height</source>
+        <translation>Height</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="136"/>
+        <source>Pixel Count</source>
+        <translation>Pixel Count</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="137"/>
+        <source>megapixels</source>
+        <translation>megapixels</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="139"/>
+        <source>Rotation Angle</source>
+        <translation>Rotation Angle</translation>
+    </message>
+    <message>
+        <location filename="../mythgallery/thumbview.cpp" line="140"/>
+        <source>degrees</source>
+        <translation>degrees</translation>
+    </message>
+</context>
+<context>
+    <name>SingleView</name>
+    <message>
+        <location filename="../mythgallery/singleview.cpp" line="220"/>
+        <source>Press SELECT to play again</source>
+        <translation>Press SELECT to play again</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>No images are present in the pictures folder.</source>
+        <translation>No images are present in the pictures folder.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>Image Gallery</source>
+        <translation>Image Gallery</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>SELECT: View</source>
+        <translation>SELECT: View</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>MENU: Activate Menu</source>
+        <translation>MENU: Activate Menu</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythgallery/i18n/i18n.pro
===================================================================
--- mythplugins/mythgallery/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythgallery/i18n/i18n.pro	(working copy)
@@ -10,7 +10,7 @@
 trans.files += mythgallery_pt.qm mythgallery_sv.qm mythgallery_fr.qm
 trans.files += mythgallery_ja.qm mythgallery_sl.qm mythgallery_nb.qm
 trans.files += mythgallery_fi.qm mythgallery_et.qm mythgallery_ru.qm
-trans.files += mythgallery_cs.qm mythgallery_hu.qm
+trans.files += mythgallery_cs.qm mythgallery_hu.qm mythgallery_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythgallery/i18n/translate.pro
===================================================================
--- mythplugins/mythgallery/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythgallery/i18n/translate.pro	(working copy)
@@ -7,5 +7,4 @@
 TRANSLATIONS += mythgallery_pt.ts mythgallery_sv.ts mythgallery_fr.ts
 TRANSLATIONS += mythgallery_ja.ts mythgallery_sl.ts mythgallery_nb.ts
 TRANSLATIONS += mythgallery_fi.ts mythgallery_et.ts mythgallery_ru.ts
-TRANSLATIONS += mythgallery_cs.ts
-TRANSLATIONS += mythgallery_hu.ts
+TRANSLATIONS += mythgallery_cs.ts mythgallery_hu.ts mythgallery_en_gb.ts